import request from '@/utils/request'

// 分页查询车辆RFID信息列表
export function pageListRfid(query) {
  return request({
    url: '/cm/vehicle/rfid/pageList',
    method: 'get',
    params: query
  })
}

// 查询车辆RFID信息列表
export function listRfid(query) {
  return request({
    url: '/cm/vehicle/rfid/list',
    method: 'get',
    params: query
  })
}

// 查询车辆RFID信息详细
export function getRfid(id) {
  return request({
    url: '/cm/vehicle/rfid/' + id,
    method: 'get'
  })
}

// 新增车辆RFID信息
export function addRfid(data) {
  return request({
    url: '/cm/vehicle/rfid',
    method: 'post',
    data: data
  })
}

// 修改车辆RFID信息
export function updateRfid(data) {
  return request({
    url: '/cm/vehicle/rfid',
    method: 'put',
    data: data
  })
}

// 删除车辆RFID信息
export function delRfid(id) {
  return request({
    url: '/cm/vehicle/rfid/' + id,
    method: 'delete'
  })
}

// 导出车辆RFID信息
export function exportRfid(query) {
  return request({
    url: '/cm/vehicle/rfid/' + 'export',
    method: 'post',
    params: query
  })
}

// 绑定前检查
export function rfidCheckBind(query) {
  return request({
    url: '/cm/vehicle/rfid/check',
    method: 'get',
    params: query
  })
}